-- Visual
vim.o.conceallevel = 0
vim.o.cmdheight = 1
vim.o.pumheight = 10
vim.o.showmode = false
vim.o.title = true
vim.o.termguicolors = true
vim.wo.number = true
vim.wo.signcolumn = "yes"

-- Behaviour
vim.o.hlsearch = true
vim.o.ignorecase = true
vim.o.smartcase = true
vim.o.smarttab = true
vim.o.smartindent = true
vim.o.expandtab = true
vim.o.tabstop = 2
vim.o.softtabstop = 2
vim.o.shiftwidth = 2
vim.o.splitbelow = true
vim.o.splitright = true
vim.o.scrolloff = 12
vim.o.sidescrolloff = 8
vim.o.mouse = "a"

-- Vim specific
vim.o.hidden = true
vim.o.fileencoding = "utf-8"
vim.o.spell = false
vim.o.completeopt = "menuone,noinsert,noselect"
vim.o.wildmode = "longest,full"
vim.o.updatetime = 300

-- Disable inline error messages
vim.diagnostic.config {
  virtual_text = false,
  underline = false,
  signs = true,
}

